Issue 119307 - ERROR - Flip Menu Window Image Distorted
ERROR - Flip Menu Window Image Distorted
Status: CLOSED FIXED
Product: Writer
Classification: Application
Component: viewing
OOo 3.4 Beta
Mac All
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 12:27 UTC by rk601
Modified: 2013-07-12 16:14 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
WRITER - Flip Menu SVG Distorted in Window (132.31 KB, application/zip)
2012-05-04 12:27 UTC, rk601
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description rk601 2012-05-04 12:27:07 UTC
Created attachment 77510 [details]
WRITER - Flip Menu SVG Distorted in Window

Flip Menu Window does NOT Correctly Display Flipped SVG Picture Vertically nor Horizontally

We have been testing SVG image usage in Apache OpenOffice 3.4.0 and have found
that WRITER and DRAW - Flip Menu Window does NOT correctly display flipped SVG images Vertically nor Horizontally.

As an example, we tested the desired functionality in the Master:

Apache OpenOffice 3.4.0 
Build ID: AOO340m1(Build:9589) - Rev 1325589
On OSX 10.6.8

Steps to reproduce:

1. Locate the desired SVG picture (we used "appointment-new.svg")
2. Open a new WRITER Text Document
3. Select Insert -> Picture -> From File... (We selected "appointment-new.svg")
4. Click Open
5. Click on the inserted SVG picture to select it.
6. Select Format -> Flip -> Flip Vertically -> Flip Horizontally

Expected results: SVG image will flip within WRITER - Flip Menu Window
Actual results: SVG image within Flip Menu Window distorted

(see the text field and distortion in the "ERROR - Flip Menu Window.png" screenshot).


See attachment for sample documents and screenshots.
Comment 1 rk601 2012-05-04 12:28:08 UTC
Bug 119127 - "EDITING Does Not Flip SVG Picture in WRITER" may be related.
Comment 2 Armin Le Grand 2012-05-04 14:55:13 UTC
ALG: Indeed, in Writer all works well, but in the dialog ugly traces of the image stay there (but the flipping works well).
Comment 3 Armin Le Grand 2012-05-14 16:16:37 UTC
ALG: Indeed, BmpWindow expected graphics to be always non-transparent and did not clear window background. Added, fixed.
Comment 4 binguo 2012-06-18 09:38:07 UTC
Verified it on Aoo_Trunk_20120616.1800.1350879 and it does not reproduce, so close it as fixed.